Search for id
- Search 7.x for id
- Search 9.5.x for id
- Search 8.9.x for id
- Search 10.3.x for id
- Search 11.x for id
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| JsonApiDocumentTopLevelNormalizer::getSchemasForDataCollection | function | core/ |
Retrieve an array of schemas for the resource types in a data object. |
| JsonApiDocumentTopLevelNormalizer::getSupportedTypes | function | core/ |
|
| JsonApiDocumentTopLevelNormalizer::normalizeErrorDocument | function | core/ |
Normalizes an error collection. |
| JsonApiDocumentTopLevelNormalizer::normalizeOmissionsLinks | function | core/ |
Normalizes omitted data into a set of omission links. |
| JsonApiDocumentTopLevelNormalizer::validateRequestBody | function | core/ |
Performs minimal validation of the document. |
| JsonApiDocumentTopLevelNormalizer::__construct | function | core/ |
Constructs a JsonApiDocumentTopLevelNormalizer object. |
| JsonApiDocumentTopLevelNormalizerTest | class | core/ |
Tests Drupal\jsonapi\Normalizer\JsonApiDocumentTopLevelNormalizer. |
| JsonApiDocumentTopLevelNormalizerTest.php | file | core/ |
|
| JsonApiDocumentTopLevelNormalizerTest::$normalizer | property | core/ |
The normalizer under test. |
| JsonApiDocumentTopLevelNormalizerTest::denormalizeProvider | function | core/ |
Data provider for the denormalize test. |
| JsonApiDocumentTopLevelNormalizerTest::denormalizeUuidProvider | function | core/ |
Provides test cases for testDenormalizeUuid. |
| JsonApiDocumentTopLevelNormalizerTest::setUp | function | core/ |
|
| JsonApiDocumentTopLevelNormalizerTest::testDenormalize | function | core/ |
Tests denormalize. |
| JsonApiDocumentTopLevelNormalizerTest::testDenormalizeUuid | function | core/ |
Ensures only valid UUIDs can be specified. |
| JsonApiFilterRegressionTest::testFilterByIdFromIssue3015759 | function | core/ |
Ensures that filtering by a sequential internal ID named 'id' is possible. |
| JsonApiFilterRegressionTest::testFilteringEntitiesByEntityReferenceTargetId | function | core/ |
Tests that collections can be filtered by an entity reference target_id. |
| JsonApiJsonSchemaTestTrait::getValidator | function | core/ |
Get the JSON Schema Validator. |
| JsonApiPatchRegressionTest::testPatchInvalidFieldPropertyFromIssue3127883 | function | core/ |
Ensure PATCHing a non-existing field property results in a helpful error. |
| JsonApiPerformanceTest::testGetIndividual | function | core/ |
Tests performance of the navigation toolbar. |
| JsonApiRegressionTest::testInvalidDataTriggersUnprocessableEntityErrorFromIssue3052954 | function | core/ |
Ensure POSTing invalid data results in a 422 response, not a PHP error. |
| JsonApiRelationshipTest::$entityTypeId | property | core/ |
The entity type ID. |
| JsonApiRelationshipTest::testPatchHandleUUIDPropertyReferenceFieldIssue3127883 | function | core/ |
Test relationships without target_id as main property. |
| JsonApiRequestValidator | class | core/ |
Subscriber that validates the query parameter names on a JSON:API request. |
| JsonApiRequestValidator.php | file | core/ |
|
| JsonApiRequestValidator::getSubscribedEvents | function | core/ |
|
| JsonApiRequestValidator::onRequest | function | core/ |
Validates JSON:API requests. |
| JsonApiRequestValidator::onResponse | function | core/ |
Validates JSON:API requests. |
| JsonApiRequestValidator::validateQueryParams | function | core/ |
Validates custom (implementation-specific) query parameter names. |
| JsonapiServiceProvider | class | core/ |
Adds 'api_json' as known format and prevents its use in the REST module. |
| JsonapiServiceProvider.php | file | core/ |
|
| JsonapiServiceProvider::alter | function | core/ |
Modifies existing service definitions. |
| JsonapiServiceProvider::register | function | core/ |
Registers services to the container. |
| JsonApiSettingsForm::getFormId | function | core/ |
Returns a unique string identifying the form. |
| JsonApiSpec::isValidCustomQueryParameter | function | core/ |
Checks whether the given custom query parameter name is valid. |
| JsonApiSpec::isValidMemberName | function | core/ |
Checks whether the given member name is valid. |
| JsonApiSpecTest::providerTestIsValidCustomQueryParameter | function | core/ |
Data provider for testIsValidCustomQueryParameter. |
| JsonApiSpecTest::providerTestIsValidMemberName | function | core/ |
Data provider for testIsValidMemberName. |
| JsonApiSpecTest::testIsValidCustomQueryParameter | function | core/ |
Provides test cases. |
| JsonApiSpecTest::testIsValidMemberName | function | core/ |
Ensures that member names are properly validated. |
| JsonApiTopLevelResourceNormalizerTest::cacheableMetadataProvider | function | core/ |
Provides test cases for asserting cacheable metadata behavior. |
| JsonApiTopLevelResourceNormalizerTest::denormalizeUuidProviderBuilder | function | core/ |
We cannot use a PHPUnit data provider because our data depends on $this. |
| JsonApiTopLevelResourceNormalizerTest::jsonSchemaDataProvider | function | core/ |
Data provider for ::testNormalizedValuesAgainstJsonSchema. |
| JsonApiTopLevelResourceNormalizerTest::testDenormalizeInvalidTypeAndNoType | function | core/ |
Tests denormalization for related resources with missing or invalid types. |
| JsonApiTopLevelResourceNormalizerTest::testDenormalizeUuid | function | core/ |
Try to POST a node and check if it exists afterwards. |
| JsonApiTopLevelResourceNormalizerTest::testNormalizeUuid | function | core/ |
Tests normalize uuid. |
| jsonapi_response_validator.info.yml | file | core/ |
core/modules/jsonapi/tests/modules/jsonapi_response_validator/jsonapi_response_validator.info.yml |
| jsonapi_response_validator.services.yml | file | core/ |
core/modules/jsonapi/tests/modules/jsonapi_response_validator/jsonapi_response_validator.services.yml |
| JsonEncoderTest::testEncodeInvalidUtf8IsSubstituted | function | core/ |
Tests that invalid UTF-8 is handled via JSON_INVALID_UTF8_SUBSTITUTE. |
| JsonSchemaProviderSerializerInterface | interface | core/ |
Interface for JSON schema provider. |
| JsonSchemaProviderSerializerInterface.php | file | core/ |
Pagination
- Previous page
- Page 96
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.